Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get pipeline list

Prev Next

Available in Classic and VPC

Get the pipeline list.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/project

Request headers

For information about the headers common to all SourcePipeline APIs, see SourcePipeline request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
pageNo Number Optional Page number
  • 1-N
  • Required when entering pageSize
pageSize Number Optional Number of items per page
  • 1-N
  • Required when entering pageNo
projectName String Optional Search keyword
  • Filter values that match the pipeline name in whole or in part.

Request example

The request example is as follows:

curl --location --request GET 'https://vpcsourcepipeline.apigw.ntruss.com/api/v1/project' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
result Object - Response result
result.projectList Array - Pipeline list: projectList

projectList

The following describes projectList.

Field Type Required Description
id Number - Pipeline ID
name String - Pipeline name

Response status codes

For information about the HTTP status codes common to all SourcePipeline APIs, see SourcePipeline response status codes.

Response example

The response example is as follows:

{
    "result": {
        "projectList": [
            {
                "id": 2***,
                "name": "pipeline1"
            }
        ]
    }
}